Subject: bug#56637: 28.1.90; [FR] Allow a way around font-lock-mode being unconditionally disabled in " *hidden*" buffers

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Jul 2022 10:25:21 -0400

Ihor Radchenko [2022-07-24 14:47:17] wrote:
> Stefan Monnier <[email-masked]> writes:
>>> Apart from the reddit thread I mentioned, where the problem comes from
>>> web-mode directly setting font-lock-face,
>>
>> I didn't see a clear recipe there, tho.  Setting the `font-lock-face`
>> directly is normal, so it's not clear that it's a problem on the side of
>> `web-mode`, really.
>
> When font-lock-mode is active, char-property-alias-alist contains
> '(face font-lock-face).

Yes, I know, but it would really help to see a concrete case where that
makes a difference, because there are various ways to "fix" this
problem.  They all have upsides and downsides.

> Unless we can forever rely on the implementation detail that
> 'font-lock-face is always equivalent to the 'face property,

It's not really "equivalent", but more importantly it's not an
implementation detail: it's documented in the ELisp manual.

        Stefan